Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.xpath
Class XPath.DocumentTest

    java.lang.Object
      org.modeshape.jcr.xpath.XPath.Component
          org.modeshape.jcr.xpath.XPath.NodeTest
              org.modeshape.jcr.xpath.XPath.KindTest
                  org.modeshape.jcr.xpath.XPath.DocumentTest

Enclosing class:
  XPath

    public static class XPath.DocumentTest

extends XPath.KindTest

Constructor Summary
`XPath.DocumentTest(XPath.ElementTest elementTest)`
`XPath.DocumentTest(XPath.SchemaElementTest schemaElementTest)`

Method Summary
`boolean` | `equals(Object obj)`
`XPath.ElementTest` | `getElementTest()`
`XPath.SchemaElementTest` | `getSchemaElementTest()`
`String` | `toString()`

Methods inherited from class org.modeshape.jcr.xpath.XPath.Component
`collapse`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPath.DocumentTest

    public XPath.DocumentTest(XPath.ElementTest elementTest)

### XPath.DocumentTest

    public XPath.DocumentTest(XPath.SchemaElementTest schemaElementTest)

Method Detail

### getElementTest

    public XPath.ElementTest getElementTest()

  Returns:
    elementOrSchemaElementTest

### getSchemaElementTest

    public XPath.SchemaElementTest getSchemaElementTest()

  Returns:
    elementOrSchemaElementTest

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.